class PathFeed < Feed

	def initialize( link, token=nil, regex=nil )
		super( link, token, "^Path:(.*)" )
	end

	def path
		if( match != nil )
			match[1]
		else
			@path
		end
	end

	def title
		if( match != nil )
			"Changes in " + path
		else
			@title
		end
	end

	def description
		if( match != nil )
			"Changes in " + path
		else
			@description
		end
	end

end


begin

	$ids["Path:"] = PathFeed.method( 'new' )

end