class UserFeed < Feed

	attr_accessor :users

	def initialize( link, token=nil, regex=nil )
		super( link, token, "^User:(.*)" )
		@users = Array.new()
	end

	def isValidChange?( change )
		result = false

		if( users.include?( change["user"] ) )
			result = true
		end
			
		result
	end

	def users
		if( match != nil )
			match[1].split( ',' )
		else
			@users
		end
	end

	def title
		if( match != nil )
			"Changes by " + users.join( ',' )
		else
			@title
		end
	end

	def description
		if( match != nil )
			"Changes by " + users.join( ',' )
		else
			@description
		end
	end

end


begin
	
	$ids["User:"] = UserFeed.method( 'new' )
	
end